Bug 259737 - security/botan2: add missing dependency on sphinx
Summary: security/botan2: add missing dependency on sphinx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-09 12:48 UTC by Dmitry Marakasov
Modified: 2021-12-03 11:41 UTC (History)
1 user (show)

See Also:
tremere: maintainer-feedback+


Attachments
Patch (929 bytes, patch)
2021-11-09 12:48 UTC, Dmitry Marakasov
no flags Details | Diff
Add a MANPAGES option to make building the manpage optional (1.01 KB, patch)
2021-11-09 23:14 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Add a MANPAGES option to make building the manpage optional (pass --without-sfinx when disabled) (1.04 KB, patch)
2021-11-12 08:06 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-11-09 12:48:55 UTC
Created attachment 229381 [details]
Patch

Add missing dependency on sphinx, which is used when it's present to generate a manpage. Add named manpage to plist.
Comment 1 Ralf van der Enden 2021-11-09 23:14:04 UTC
Created attachment 229398 [details]
Add a MANPAGES option to make building the manpage optional


Thanks for the patch.

I added MANPAGES option so you can make building the manpage optional. Also reordered some stuff to make portclippy/portfmt happy.
Comment 2 Dmitry Marakasov freebsd_committer 2021-11-11 16:06:25 UTC
(In reply to Ralf van der Enden from comment #1)
This is not quite correct as disabling manpages does not prevent them from being built when sphinx is present, so it doesn't fix the hidden dependency (this actually started with investigation of build failure with newer python which is not supported by sphinx). Probably it can be fixed by passing --with(out)-sphinx to configure depending on option.
Comment 3 Ralf van der Enden 2021-11-12 08:06:25 UTC
Created attachment 229441 [details]
Add a MANPAGES option to make building the manpage optional (pass --without-sfinx when disabled)


You're right. I always build everything using poudriere, so it won't pull in py-sfinx and disabling the MANPAGES knob always does what it's supposed to.

With the new patch I'm passing --without-sfinx when the MANPAGES option is disabled and this has the desired effect.
Comment 4 Ralf van der Enden 2021-11-12 08:09:23 UTC
I'm passing it correct in the Makefile. I mistyped sphinx in my comment.
Comment 5 Ralf van der Enden 2021-12-01 18:44:10 UTC
Any chance of getting this committed ? Or does it still not meet the requirements?
Comment 6 commit-hook freebsd_committer 2021-12-03 11:41:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fee3247210edf039b7bd0ec0f73a03417bcbd6eb

commit fee3247210edf039b7bd0ec0f73a03417bcbd6eb
Author:     Dmitry Marakasov <amdmi3@FreeBSD.org>
AuthorDate: 2021-12-03 11:37:01 +0000
Commit:     Dmitry Marakasov <amdmi3@FreeBSD.org>
CommitDate: 2021-12-03 11:39:03 +0000

    security/botan2: add manpages support

    Fix hidden dependency on sphinx and introduce optional manpages
    support.

    PR:             259737
    Reported by:    amdmi3
    Submitted by:   tremere@cainites.net (maintainer)

 security/botan2/Makefile  | 8 ++++++--
 security/botan2/pkg-plist | 1 +
 2 files changed, 7 insertions(+), 2 deletions(-)
Comment 7 Dmitry Marakasov freebsd_committer 2021-12-03 11:41:24 UTC
The new patch is good, sorry for delay. Committed, thanks!